Index: LMDZ4/trunk/libf/phylmd/ini_histhfNMC.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histhfNMC.h	(revision 1374)
+++ LMDZ4/trunk/libf/phylmd/ini_histhfNMC.h	(revision 1398)
@@ -31,6 +31,10 @@
      .                 nhori, nid_hfnmc)
 c
-         CALL histvert(nid_hfnmc, "plev", "pressure", "Pa",
-     .                 nlevSTD3, rlevSTD3, nvert)
+         CALL histvert(nid_hfnmc, "plev", "pressure", "mb",
+     .                 nlevSTD3, rlevSTD3/100., nvert,"down")
+c
+cIM Astuce MAF: remplacer inst par ave pour les variables NMC pour avoir
+cIM             le time_counter et les bounds
+c
 ccc
 ccc Champs 3D interpolles sur des niveaux de pression du NMC
@@ -47,50 +51,50 @@
      .                 "Valeurs non-definies","-",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "ta",
      .                 "Air temperature","K",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_hfnmc, "zg",
      .                "Geopotential height", "m",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "hus",
      .                 "Specific humidity","1",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_hfnmc, "hur",
      .                 "Relative humidity", "%",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "ua",
      .                 "Eastward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "va",
      .                 "Northward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "wap",
      .                 "Lagrangian tendency of air pressure","Pa s-1",
      .                iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "psbg",
      .         "Pressure sfce below ground","%",
      .         iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "uv",
      .         "uv ",
      .         "m2/s2",iim,jj_nb,nhori, nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "vq",
@@ -98,5 +102,5 @@
      .         "m/s * (kg/kg)",iim,jj_nb,nhori, 
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "vT",
@@ -104,5 +108,5 @@
      .         "mK/s",iim,jj_nb,nhori, 
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "wq",
@@ -110,5 +114,5 @@
      .         "(Pa/s)*(kg/kg)",iim,jj_nb,nhori,
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "vphi",
@@ -116,5 +120,5 @@
      .         "m2/s",iim,jj_nb,nhori, 
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "wT",
@@ -122,5 +126,5 @@
      .         "K*Pa/s",iim,jj_nb,nhori,
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "uxu",
@@ -128,5 +132,5 @@
      .         "m2/s2",iim,jj_nb,nhori,
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "vxv",
@@ -134,5 +138,5 @@
      .         "m2/s2",iim,jj_nb,nhori,
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
           CALL histdef(nid_hfnmc, "TxT",
@@ -140,5 +144,5 @@
      .         "K2",iim,jj_nb,nhori,
      .          nlevSTD3,1,nlevSTD3, nvert, 32,
-     .         "inst(X)", zout,zout)
+     .         "ave(X)", zout,zout)
 c
          CALL histend(nid_hfnmc)
